%define php_ver %(php -r "echo PHP_VERSION;" | cut -d. -f1-2)

Summary:	Zend Loader - Zend PHP Guard code loader
Name:		php-zend-loader
Version:	3.3
Release:	1%{?dist}
License:	Zend License, distributable only if unmodified and for free (see LICENSE)
Group:		Development/Languages
Source0:	http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-i386.tar.gz
Source1:	http://downloads.zend.com/guard/5.5.0/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gz
Source2:	http://downloads.zend.com/guard/6.0.0/ZendGuardLoader-70429-PHP-5.4-linux-glibc23-i386.tar.gz
Source3:	http://downloads.zend.com/guard/6.0.0/ZendGuardLoader-70429-PHP-5.4-linux-glibc23-x86_64.tar.gz
Source4:	http://downloads.zend.com/guard/7.0.0/zend-loader-php5.5-linux-i386.tar.gz
Source5:	http://downloads.zend.com/guard/7.0.0/zend-loader-php5.5-linux-x86_64.tar.gz
Source6:	http://downloads.zend.com/guard/7.0.0/zend-loader-php5.6-linux-i386.tar.gz
Source7:	http://downloads.zend.com/guard/7.0.0/zend-loader-php5.6-linux-x86_64.tar.gz
URL:		http://www.zend.com/products/zend_optimizer
BuildRequires:	tar >= 1:1.15.1
Conflicts:	php-xcache php-zend-optimizer
ExclusiveArch:	i386 x86_64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	php >= %{php_ver}.0


%description
Zend Loader - Zend PHP Guard code loader.


%prep
%setup -T -q -c -n ZendLoader-%{version}
%ifarch i386
  %if "%{php_ver}" == "5.3"
    %{__tar} --strip-components=1 -zxf %{SOURCE0}
  %endif
  %if "%{php_ver}" == "5.4"
    %{__tar} --strip-components=1 -zxf %{SOURCE2}
  %endif
  %if "%{php_ver}" == "5.5"
    %{__tar} --strip-components=1 -zxf %{SOURCE4}
  %endif
  %if "%{php_ver}" == "5.6"
    %{__tar} --strip-components=1 -zxf %{SOURCE6}
  %endif
%endif
%ifarch x86_64
  %if "%{php_ver}" == "5.3"
    %{__tar} --strip-components=1 -zxf %{SOURCE1}
  %endif
  %if "%{php_ver}" == "5.4"
    %{__tar} --strip-components=1 -zxf %{SOURCE3}
  %endif
  %if "%{php_ver}" == "5.5"
    %{__tar} --strip-components=1 -zxf %{SOURCE5}
  %endif
  %if "%{php_ver}" == "5.6"
    %{__tar} --strip-components=1 -zxf %{SOURCE7}
  %endif
%endif


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} -m 755 %{buildroot}/%{_libdir}/php/zend/
%if "%{php_ver}" == "5.6" || "%{php_ver}" == "5.5"
  %{__install} -m 755 ZendGuardLoader.so %{buildroot}/%{_libdir}/php/zend/ZendGuardLoader.so
  %{__install} -m 755 opcache.so %{buildroot}/%{_libdir}/php/zend/opcache.so
%else
  %{__install} -m 755 php-%{php_ver}.x/ZendGuardLoader.so %{buildroot}/%{_libdir}/php/zend/ZendGuardLoader.so
%endif
%{__mkdir_p} -m 755 %{buildroot}/%{_datadir}/zend/
%{__mkdir_p} -m 755 %{buildroot}/%{_sysconfdir}/php.d/
echo "; Zend Optimizer" > %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "[Zend]" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "zend_optimizer.optimization_level=15" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "zend_optimizer.license_path=%{_datadir}/zend/" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
echo "zend_extension=%{_libdir}/php/zend/ZendGuardLoader.so" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
%if "%{php_ver}" == "5.6" || "%{php_ver}" == "5.5"
  echo "zend_extension=%{_libdir}/php/zend/opcache.so" >> %{buildroot}/%{_sysconfdir}/php.d/zendoptimizer.ini
%endif


%clean
%{__rm} -rf %{buildroot}


%post
if [ "$1" -ge 1 ]; then
  /sbin/service httpd condrestart >/dev/null
fi


%postun
if [ "$1" -ge 1 ]; then
  /sbin/service httpd condrestart >/dev/null
fi


%files
%defattr(-,root,root)
%doc README.txt
%config %{_sysconfdir}/php.d/zendoptimizer.ini
%{_libdir}/php/zend/*.so
%dir %{_datadir}/zend/


%changelog
* Sun Jan  3 2016 Ernani Azevedo <azevedo@voipdomain.io> - 3.3-1
- First build script
